body {
    font-family: 'Inter', sans-serif;
    color: rgb(75, 85, 99);
    line-height: 1.25rem;
}

h1, h2, h3 {
    color: rgb(17, 24, 39);
    font-weight: 600;
}

h1 {
    font-size: 3rem;
    line-height: 1;
    letter-spacing: -0.025em;
}

h2 {
    font-size: 1.875rem;
    line-height: 2.25rem;
}

h3 {
    font-size: 1.25rem;
    line-height: 1.75rem;
}

section {
    padding: 0 1.5rem;
    max-width: 69rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2.5rem;
    margin: 0 auto 1.5rem;
}

.text-center {
    text-align: center;
}

a {
    text-decoration: underline;
    color: rgb(75, 85, 99);
}
a:hover {
    text-decoration: none;
}

.btn {
    color: #fff;
    background-color: rgb(17, 24, 39);
    border-radius: 100px;
    padding: 12px 24px;
    text-decoration: none;
    transition: background-color 0.2s linear;
    display: inline-block;
}

.btn:hover {
    background-color: rgba(17, 24, 39, 0.8);
}

.link-btn {
    background: transparent;
    border: none;
    padding: 0;
    text-decoration: underline;
    cursor: pointer;
}

.link-btn:hover {
    text-decoration: none;
}

.img {
    max-width: 100%;
}

#hero {
    min-height: 100vh;
    text-align: center;
}

#hero h1 {
    margin-top: 0;
    margin-bottom: 1.5rem;
}

#keyvisual {
    max-width: 28rem;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    border-radius: 1rem;
    overflow: hidden;
}

#keyvisual img {
    display: block;
}

#about {
    text-align: center;
    margin-bottom: 4rem;
    max-width: 45rem;
}

blockquote {
    background-color: rgb(243 244 246);
    padding: 1.5rem;
    font-style: italic;
    border-radius: 1rem;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    margin: 1rem auto;
    max-width: 40rem;
}

.mb-lg {
    margin-bottom: 2.5rem;
}

.hr {
    height: 2px;
    background-color: #1f273e;
    width: 4rem;
    margin: 0 auto 2.5rem;
}

.hidden {
    display: none !important;
}

#books {
    gap: 0;
}

.card {
    border-radius: 1rem;
    border: 1px solid rgb(229 231 235);
    display: flex;
    flex-direction: column;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    font-size: 0.875rem;
    overflow: hidden;
}

.card > img {
    margin: 0 auto;
    max-width: 352px;
    width: 100%;
}

.card-body {
    padding: 1.5rem;
    flex-grow: 1;
}
.card-body h3 {
    margin-top: 0;
}
.card-footer {
    padding: 0 1rem 1rem;
}
.card-footer {
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    text-align: center;
}

.grid-3 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
}

footer {
    text-align: center;
    margin-top: 2.5rem;
    width: 100%;
    background-color: rgb(243 244 246);
    padding: 1.5rem 0;
}

footer button {
    background: transparent;
    border: none;
    text-decoration: underline;
    cursor: pointer;
}

footer button:hover {
    text-decoration: none;
}

.modal {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(4px);
    position: fixed;
    padding: 1.5rem;
    display: flex;
    justify-content: center;
}

.modal-inner {
    background-color: #fff;
    border-radius: 1rem;
    padding: 1.5rem;
    max-width: 40rem;
    overflow: auto;
    overscroll-behavior: none;
    position: relative;
    max-height: max-content;
}

.modal-inner > div > h2:first-of-type {
    margin-top: 0;
    margin-right: 1.5rem;
}

.modal-inner .btn {
    display: block;
    text-align: center;
}

.close {
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
    border: none;
    background-color: transparent;
    cursor: pointer;
    font-size: 1.25rem;
}

.obfuscated {
    unicode-bidi: bidi-override;
    direction: rtl;
}

@media (min-width: 785px) {
    .grid-3 {
        grid-template-columns: repeat(3, 1fr);
    }
    #hero {
        flex-direction: row;
        text-align: left;
        font-size: 1.125rem;
    }
    #hero h1 {
        font-size: 4.5rem;
    }
}
